<div *ngIf="auctionator">
    <nb-layout-header>
        <label class="search-label" for="search"></label>
        <nb-form-field>
            <nb-icon nbPrefix icon="search-outline" pack="eva"></nb-icon>
            <input nbInput id="search" placeholder="Search" [formControl]="searchInput">
        </nb-form-field>
    </nb-layout-header>
    <nb-layout-column>
        <table class="table" *ngIf="pagedItems">
            <thead>
            <tr>
                <th>Name</th>
                <th>Price</th>
                <th>Details</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let item of pagedItems; let itemIndex = index">
                <td>
                    {{item.name}}
                </td>
                <td>{{toWowPriceString(item.price)}}</td>
                <td>
                    <button nbButton status="primary" routerLink="/content/item/{{item.itemId}}">
                        <nb-icon icon="search"></nb-icon>
                    </button>
                </td>
            </tr>
            </tbody>
        </table>
    </nb-layout-column>
    <nav aria-label="Page navigation example">
        <ul class="pagination">
            <li class="page-item">
                <button class="page-link" (click)="loadPage(currentPage - 1)" aria-label="Previous" [disabled]="disablePreviousButton">
                    <span aria-hidden="true">&laquo;</span>
                </button>
            </li>
            <li class="page-item" *ngFor="let page of pages">
                <button class="page-link" [disabled]="currentPage === page" (click)="loadPage(page)">{{page}}</button>
            </li>
            <li class="page-item">
                <button class="page-link" (click)="loadPage(currentPage + 1)" aria-label="Next" [disabled]="disableNextButton">
                    <span aria-hidden="true">&raquo;</span>
                </button>
            </li>
        </ul>
    </nav>
</div>
